using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model;
using Tiobon.Core.Model.Models;

namespace Tiobon.Core.IServices;

/// <summary>
/// Ghre_Teacher(自定义服务接口)
/// </summary>	
public interface IGhre_TeacherServices : IBaseServices<Ghre_Teacher, Ghre_TeacherDto, InsertGhre_TeacherInput, EditGhre_TeacherInput>
{
    Task<ServiceResult> UpdateStatus(InsertGhre_TeacherInput input, string status);

    Task<ServiceResult<long>> InsertByStatus(InsertGhre_TeacherInput insertModel, string status);

    Task Ushio_Sync();
}